Bug 480205 - pulseaudio errors on login
pulseaudio errors on login
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 13:08 EST by Christopher Beland
Modified: 2009-09-10 21:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-03 12:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2009-01-15 13:08:08 EST
I get the following errors when I log in to my normal Gnome X session, despite a normal log out and system reboot previously.

Jan 15 12:57:02 free-spin pulseaudio[3180]: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configur
ation. However, we lack the necessary privileges:
Jan 15 12:57:02 free-spin pulseaudio[3180]: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we
 have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
Jan 15 12:57:02 free-spin pulseaudio[3180]: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit pri
vileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
Jan 15 12:57:02 free-spin pulseaudio[3180]: ltdl-bind-now.c: Failed to find original dlopen loader.
Jan 15 12:57:02 free-spin pulseaudio[3186]: pid.c: Stale PID file, overwriting.
Jan 15 12:57:12 free-spin pulseaudio[3247]: pid.c: Daemon already running.

Version: pulseaudio-0.9.14-2.fc11.x86_64
Comment 1 Lennart Poettering 2009-01-23 18:08:05 EST
Most of these are no errors. Just informative/warnings -- with the exception of the last which tells you that PA was already running when it was started. The question is of course is why it was started twice? Did you start it twice manually?
Comment 2 Christopher Beland 2009-01-29 02:29:10 EST
Nope, I don't start pulseaudio manually; I assume this is whatever Gnome normally does under Fedora.  If I select "System -> Preferences -> Personal -> Sessions -> Startup Programs" I do see "PulseAudio Sound System" there, which I hope is normal.

If the other output in /var/log/messages is a side effect of normal operation, can these messages be suppressed to keep the log tidy and avoid alarming or confusing system administrators?
Comment 3 Lennart Poettering 2009-04-03 12:16:57 EDT
PA upstream has now been changed to downgrade those messages so that they don't appear in syslog anymore.
Comment 4 Christopher Beland 2009-09-10 21:30:43 EDT
Confirmed fixed in Fedora 11 with current updates (pulseaudio-0.9.15-17.fc11.i586).  Thanks!

Note You need to log in before you can comment on or make changes to this bug.